{% include "modules/head.html" %}
{% include "modules/navbar.html" %}

<body>
    <div class="bloc_petit">
        <h2>Votre selection :</h2>
        
    <div class="bloc_descrip"> 
        <p>Veuillez choisir l'étudiant ainsi que le type de graphique à afficher.</p>
    </div> 
    
        <form method="post" action="{{ url_for('profil') }}">
            <label for="start">Date d'observation:</label>
                <input type="date" id="selectDate" name="date_formulaire"
                                         value= {{maintenant}}
                          min="2020-01-01" max="2020-12-31">
                          <!-- Le calendrier permet de choisir la date jusqu'à
                          laquelle on veut les résultats. Tout le monde ne passant
                          pas forcément avant le 30/05, il faut mettre 1er juin
                          au minimum pour que cela fonctionne-->
            <br>
            <label for="start">Eleve:</label>
            <select class="profil_select" name="eleve">
                <option value="">--Elève ?--</option>
                {% for membre in membres %}
                <option value="{{ membre }}">{{ membre }}</option>
                {% endfor %}
            </select>
            <br>
            <label for="start">Rang:</label>
            <select id="selectRang" name="rang">
              <option value="">--</option>
              {% for rang in liste_de_rang %}
                <option value="{{ rang }}">{{ rang }}</option>
              {% endfor %}
            </select>
            <br>
            <label for="start">Graphique :</label>
            <select class="profil_select" name="type_graphique">
                    <option value="">--Type ?--</option>
                {% for graph in retourType %}
                    <option value="{{graph}}">{{graph}}</option>
                {% endfor %}
            </select>
            <!-- Ici, on a les menus déroulants pour choisir l'élève que l'on
            souhaite, le rang que l'on souhaite (les sous catégories) ainsi que
            le type de graphique que l'on veut. Soit un arbre (celle qui fonctionne)
            soit un histogramme (fonctionne à moitié on va dire, l'image est
            créée mais non enregistrée dans les fichiers et donc non importable
            sur le site)-->
            
            <br>
            <!-- on remplace le sélecteur de type par un bouton en suivant le 
            même principe pour chaque type dans retourType on affiche un bouton 
            submit qui prend comme valeur son type (arbre/graphe) 
            -->
            <button type="submit">Ok</button>
        </form>
    </div>

</body>
